import List from '../../components/list'
import {findPages} from '../../util/pages'

<List cardType="memberCard" data={props.posts}></List>

export async function getStaticProps(context) {
    let pages = await findPages('news', 'news');
    pages.sort((a, b) => {
        let aDate = new Date(a.frontmatter.date);
        let bDate = new Date(b.frontmatter.date);
        return bDate - aDate;
    })
    .map(page => {
        if(page.frontmatter.date)
            page.frontmatter.date = page.frontmatter.date.toString();
        return page
    });

    return {
        props: {
            posts: pages
        }
    }
}


